Subject: Re: [PATCH] Docs: web server must setenv GIT_PROTOCOL for v2

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Sep 2021 13:57:45 -0700

Jeff King <[email-masked]> writes:

> On Sat, Sep 04, 2021 at 11:17:21AM -0400, Konstantin Ryabitsev wrote:
>
>> For the server-side to properly respond to v2 protocol requests, the
>> webserver must set the GIT_PROTOCOL environment variable to the value of
>> the Git-Protocol: request header.
>
> Thanks for assembling these examples.
>
> I don't mind having these in the technical documentation, but I think
> most users won't find them there (nor would they even know they need to
> be looking). Maybe the manpage for git-http-backend would be a better
> spot. We can mention v2 in the "description" section, and then there's
> some example config near the end that could include it.
>
> Unfortunately there isn't any nginx example config there at all yet. If
> you have kernel.org config you could share, that would be great. But
> even starting with just the "here's how you do v2" part would be
> welcome.

True, true.

In the meantime, I'll queue this as-is.

Thanks.